mod blocks;

fn main() {
    for block in blocks::BLOCKS {
        for i in (block.0)..(block.1 + 1) {
            match char::from_u32(i) {
                Some(ch) => {
                    if ch.is_control() {
                        continue;
                    }
                    if let Some(name) = charname::get_name_checked(i) {
                        println!("U+{:04X}\t{}\t{}", i, ch, name);
                    }
                }
                None => {
                    continue;
                }
            };
        }
    }
}
